def my_ladder ()
    gridw=100
    x=0
    y=0
    side_bar(x,y,1,150)
    x=0
    y=0+120
    side_bar(x,y,1,150)
    for i in 1..2
      x=20+(i-1)*gridw
      y=0+20
      mid_rung(x,y,-1,100)
    end
end 
##################################################################
def side_bar(x0,y0,idir0,l0)
  z0=0
  d = 20
  w = 20
  l = l0
  idir=idir0
  model = Sketchup.active_model
  entities = model.entities
  model.start_operation "channel"
  p1 = Geom::Point3d.new(x0, y0+0, z0+0)
  p2 = Geom::Point3d.new(x0, y0+0, z0+w)
  p3 = Geom::Point3d.new(x0, y0+d, z0+w)
  p4 = Geom::Point3d.new(x0, y0+d, z0+0)
  p5 = Geom::Point3d.new(x0, y0+0, z0+0)
  points = [p1,p2,p3,p4,p5]
  base = entities.add_face points
  normal = base.normal
  if normal==[0,0,-1]
    base = base.reverse! 
  end
  base.pushpull -l*idir
  model.commit_operation
end 
##################################################################
def mid_rung(x0,y0,idir0,l0)
  z0=0
  d = 20
  w = 20
  l = l0
  idir=idir0
  model = Sketchup.active_model
  entities = model.entities
  model.start_operation "channel"
  p1 = Geom::Point3d.new(x0+0, y0, z0+0)
  p2 = Geom::Point3d.new(x0+w, y0, z0+0)
  p3 = Geom::Point3d.new(x0+w, y0, z0+d)
  p4 = Geom::Point3d.new(x0+0, y0, z0+d)
  p5 = Geom::Point3d.new(x0+0, y0, z0+0)
  points = [p1,p2,p3,p4,p5]
  base = entities.add_face points
  normal = base.normal
  if normal==[0,0,-1]
    base = base.reverse! 
  end
  base.pushpull -l*idir
  model.commit_operation
end 
##################################################################
UI.menu("Plugins").add_item("Draw my_ladder") { my_ladder }
